﻿using System;
using System.Collections.Generic;
using System.Text;

namespace $rootnamespace$.HojasCalculo.Excel
{
    internal class ExcelScreenUpdateLock : IDisposable
    {
        private ExcelApplication excel;
        private bool screenUpdating;

        public ExcelScreenUpdateLock(ExcelApplication excel)
        {
            this.excel = excel;
            this.screenUpdating = excel.ScreenUpdating;
            excel.ScreenUpdating = false;
        }

        public void Dispose()
        {
            excel.ScreenUpdating = screenUpdating;
        }
    }
}
