﻿using System;
using System.Collections.Generic;
using System.Text;

namespace $rootnamespace$.HojasCalculo.Excel
{
    internal class ExcelCalculation : IDisposable
    {
        private ExcelApplication excel;
        private XlCalculation calculation;

        public ExcelCalculation(ExcelApplication excel, XlCalculation calculation)
        {
            this.excel = excel;
            this.calculation = excel.Calculation;
            excel.Calculation = calculation;
        }

        public void Dispose()
        {
            excel.Calculation = calculation;
        }
    }
}
